-- =====================================================================
-- 
--   File:      2.sql
--   Summary:   This script ensures that the mirror server instance does not have a database or endpoint name 
--              used by the sample.
--  
--   Date:      May 8, 2006
-- 
-- ---------------------------------------------------------------------
-- 
--   This file is part of the Microsoft SQL Server Code Samples.
--   Copyright (C) Microsoft Corporation.  All rights reserved.
-- 
-- This source code is intended only as a supplement to Microsoft
-- Development Tools and/or on-line documentation.  See these other
-- materials for detailed information regarding Microsoft code samples.
-- 
-- THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
-- ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
-- THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
-- PARTICULAR PURPOSE.
-- 
-- ===================================================================== 

-- Step 2 (on Mirror)
-- Return mirror server instance to a premirroring state
-- 
IF (DB_ID('HADB') IS NOT NULL)
BEGIN
   ALTER DATABASE HADB SET PARTNER OFF
   RESTORE DATABASE HADB WITH RECOVERY;
   DROP DATABASE HADB;
   DROP ENDPOINT Mirroring;
END
