-- =====================================================================
-- 
--   File:      setup.sql
--   Summary:   This file contains the TSQL to support the DataTimeOLEDB sample.
--  
--   Date:      September 30, 2007
-- 
-- ---------------------------------------------------------------------
-- 
--   This file is part of the Microsoft SQL Server Code Samples.
--   Copyright (C) Microsoft Corporation.  All rights reserved.
-- 
-- This source code is intended only as a supplement to Microsoft
-- Development Tools and/or on-line documentation.  See these other
-- materials for detailed information regarding Microsoft code samples.
-- 
-- THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
-- ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
-- THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
-- PARTICULAR PURPOSE.
-- 
-- ===================================================================== 

CREATE PROCEDURE sp_datetimetypes
	   @date_param DATE OUTPUT, 
	   @time_param TIME(7) OUTPUT,
	   @datetime2_param DATETIME2(7) OUTPUT,
	   @datetimeoffset_param DATETIMEOFFSET(7) OUTPUT
	AS 
	SELECT @date_param, @time_param, @datetime2_param, @datetimeoffset_param
	GO