-- =====================================================================
-- 
--   File:      1.sql
--   Summary:   The script will ensure that the principal server does not have a database or 
--   endpoint name used by the sample.
--  
--   Date:      May 8, 2006
-- 
-- ---------------------------------------------------------------------
-- 
--   This file is part of the Microsoft SQL Server Code Samples.
--   Copyright (C) Microsoft Corporation.  All rights reserved.
-- 
-- This source code is intended only as a supplement to Microsoft
-- Development Tools and/or on-line documentation.  See these other
-- materials for detailed information regarding Microsoft code samples.
-- 
-- THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
-- ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
-- THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
-- PARTICULAR PURPOSE.
-- 
-- ===================================================================== 

-- Step 1 (on Principal)
-- Return primary server instance to a premirroring state
-- 
IF (DB_ID('HADB') IS NOT NULL)
BEGIN
   ALTER DATABASE HADB SET PARTNER OFF
   DROP DATABASE HADB;
   DROP ENDPOINT Mirroring;
   EXEC sys.sp_dbmmonitordropmonitoring;
END
