-- =====================================================================
-- 
--   File:      cleanup.sql
--   Summary:   This file removes the TSQL that must be run on the target database,
--              to support the odbc_spatial sample.
--  
--   Date:      June 25, 2008
-- 
-- ---------------------------------------------------------------------
-- 
--   This file is part of the Microsoft SQL Server Code Samples.
--   Copyright (C) Microsoft Corporation.  All rights reserved.
-- 
-- This source code is intended only as a supplement to Microsoft
-- Development Tools and/or on-line documentation.  See these other
-- materials for detailed information regarding Microsoft code samples.
-- 
-- THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
-- ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
-- THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
-- PARTICULAR PURPOSE.
-- 
-- ===================================================================== 

use tempdb
GO

IF EXISTS (SELECT name FROM sysobjects WHERE name = 'SpatialSample')
   DROP TABLE SpatialSample
GO
